org.modeshape.sequencer.ddl.dialect.teiid

## Interface TeiidDdlConstants

- All Superinterfaces:
    DdlConstants
  All Known Implementing Classes:
    TeiidDdlLexicon, TeiidDdlParser

      public interface TeiidDdlConstants
      extends DdlConstants

  DDL constants specific to the Teiid dialect. Teiid's BNF for SQL Grammar (updated Feb 14, 2013) was used.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TeiidDdlConstants.DdlElement` An object that has a DDL representation.
    `static class` | `TeiidDdlConstants.DdlStatement` `( | | | | ) ( )?`
    `static class` | `TeiidDdlConstants.SchemaElementType` Indicates if element is foreign/physical or virtual.
    `static class` | `TeiidDdlConstants.TeiidDataType` Teiid data types.
    `static class` | `TeiidDdlConstants.TeiidFutureReserveWord` Teiid future reserved words.
    `static class` | `TeiidDdlConstants.TeiidNonReservedWord` Teiid non-reserved words.
    `static class` | `TeiidDdlConstants.TeiidReservedWord` Teiid reserved words.

    - ### Nested classes/interfaces inherited from interface org.modeshape.sequencer.ddl.DdlConstants

      `DdlConstants.AstNodeNames, DdlConstants.DataTypes, DdlConstants.DropBehavior, DdlConstants.MatchType, DdlConstants.Problems, DdlConstants.ReferencialAction, DdlConstants.StatementStartPhrases`

  - ### Field Summary

    - ### Fields inherited from interface org.modeshape.sequencer.ddl.DdlConstants

      `ALTER, CHECK, COLUMN, COMMA, CONSTRAINT, CONSTRAINT_C, CONSTRAINT_FK, CONSTRAINT_PK, CONSTRAINT_UC, CREATE, DECLARE, DEFAULT_TERMINATOR, DELETE, DROP, FOREIGN, FOREIGN_KEY, GIGA, GRANT, INDEX, INSERT, KEY, KILO, L_PAREN, L_SQUOTE, MEGA, MISSING_TERMINATOR_NODE_LITERAL, NOT, NULL, OFF, ON, PERIOD, PRIMARY, PRIMARY_KEY, R_PAREN, REVOKE, SCHEMA, SELECT, SEMICOLON, SET, SPACE, SQL_92_RESERVED_WORDS, TABLE, UNIQUE, UPDATE, VIEW`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.